AbstractQueryStringHandler (Axis API)
Keywords: org.apache.axis.transport.http.AbstractQueryStringHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.transport.http
Class AbstractQueryStringHandler

    java.lang.Object
      org.apache.axis.transport.http.AbstractQueryStringHandler

All Implemented Interfaces:
  QSHandler

Direct Known Subclasses:
  QSListHandler, QSMethodHandler, QSWSDLHandler

public abstract class AbstractQueryStringHandler
extends java.lang.Object
implements QSHandler

An optional base class for query string handlers; provides various helper methods and extracts things from the the message context

Field Summary
`protected org.apache.commons.logging.Log` | `exceptionLog` log for exceptions
`protected org.apache.commons.logging.Log` | `log` the other log

Constructor Summary
`AbstractQueryStringHandler()`

Method Summary
`protected void` | `configureFromContext(MessageContext msgContext)` configure our elements from the context.
`protected void` | `configureResponseFromAxisFault(javax.servlet.http.HttpServletResponse response, AxisFault fault)` Configure the servlet response status code and maybe other headers from the fault info.
`protected Message` | `convertExceptionToAxisFault(java.lang.Exception exception, Message responseMsg)` turn any Exception into an AxisFault, log it, set the response status code according to what the specifications say and return a response message for posting.
`protected boolean` | `isDevelopment()` probe for the system being 'production'
`protected void` | `processAxisFault(AxisFault fault)` routine called whenever an axis fault is caught; where they are logged and any other business.
`protected void` | `writeFault(java.io.PrintWriter writer, AxisFault axisFault)` this method writes a fault out to an HTML stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.axis.transport.http.QSHandler
`invoke`

Field Detail

### exceptionLog

    protected org.apache.commons.logging.Log exceptionLog

  log for exceptions

### log

    protected org.apache.commons.logging.Log log

  the other log

Constructor Detail

### AbstractQueryStringHandler

    public AbstractQueryStringHandler()

Method Detail

### isDevelopment

    protected boolean isDevelopment()

  probe for the system being 'production'

  Returns:
    true for a dev system.

### configureFromContext

    protected void configureFromContext(MessageContext msgContext)

  configure our elements from the context. Call this in the invoke() implementation to set up the base class

  Parameters:
    `msgContext` -

### processAxisFault

    protected void processAxisFault(AxisFault fault)

  routine called whenever an axis fault is caught; where they are logged and any other business. The method may modify the fault in the process

  Parameters:
    `fault` - what went wrong.

### configureResponseFromAxisFault

    protected void configureResponseFromAxisFault(javax.servlet.http.HttpServletResponse response,
                                                  AxisFault fault)

  Configure the servlet response status code and maybe other headers from the fault info.

  Parameters:
    `response` - response to configure
    `fault` - what went wrong

### convertExceptionToAxisFault

    protected Message convertExceptionToAxisFault(java.lang.Exception exception,
                                                  Message responseMsg)

  turn any Exception into an AxisFault, log it, set the response status code according to what the specifications say and return a response message for posting. This will be the response message passed in if non-null; one generated from the fault otherwise.

  Parameters:
    `exception` - what went wrong
    `responseMsg` - what response we have (if any)
  Returns:
    a response message to send to the user

### writeFault

    protected void writeFault(java.io.PrintWriter writer,
                              AxisFault axisFault)

  this method writes a fault out to an HTML stream. This includes escaping the strings to defend against cross-site scripting attacks

  Parameters:
    `writer` -
    `axisFault` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.